Show / Hide Table of Contents

# Struct ImDrawList

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawList

### Fields

| Improve this Doc View Source

#### _ClipRectStack

##### Declaration

    public ImVector _ClipRectStack

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### _Data

##### Declaration

    public IntPtr _Data

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### _IdxWritePtr

##### Declaration

    public ushort *_IdxWritePtr

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### _OwnerName

##### Declaration

    public byte *_OwnerName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### _Path

##### Declaration

    public ImVector _Path

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### _Splitter

##### Declaration

    public ImDrawListSplitter _Splitter

##### Field Value

Type | Description
--- | ---
ImDrawListSplitter |

| Improve this Doc View Source

#### _TextureIdStack

##### Declaration

    public ImVector _TextureIdStack

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### _VtxCurrentIdx

##### Declaration

    public uint _VtxCurrentIdx

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### _VtxCurrentOffset

##### Declaration

    public uint _VtxCurrentOffset

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### _VtxWritePtr

##### Declaration

    public ImDrawVert*_VtxWritePtr

##### Field Value

Type | Description
--- | ---
ImDrawVert* |

| Improve this Doc View Source

#### CmdBuffer

##### Declaration

    public ImVector CmdBuffer

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImDrawListFlags Flags

##### Field Value

Type | Description
--- | ---
ImDrawListFlags |

| Improve this Doc View Source

#### IdxBuffer

##### Declaration

    public ImVector IdxBuffer

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### VtxBuffer

##### Declaration

    public ImVector VtxBuffer

##### Field Value

Type | Description
--- | ---
ImVector |